- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties

# QScrollArea Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qscrollarea.h.

`#include <qscrollarea.h>`

Inheritance diagram for QScrollArea:
[legend]

List of all members.

## Public Member Functions
| QScrollArea (QWidget *parent=0)
| ~QScrollArea ()
QWidget * | widget () const
void | setWidget (QWidget *widget)
QWidget * | takeWidget ()
bool | widgetResizable () const
void | setWidgetResizable (bool resizable)
QSize | sizeHint () const
bool | focusNextPrevChild (bool next)
Qt::Alignment | alignment () const
void | setAlignment (Qt::Alignment)
void | ensureVisible (int x, int y, int xmargin=50, int ymargin=50)
void | ensureWidgetVisible (QWidget *childWidget, int xmargin=50, int ymargin=50)
## Protected Member Functions
| QScrollArea (QScrollAreaPrivate &dd, QWidget *parent=0)
bool | event (QEvent *)
bool | eventFilter (QObject *, QEvent *)
void | resizeEvent (QResizeEvent *)
void | scrollContentsBy (int dx, int dy)
## Properties
bool | widgetResizable
Qt::Alignment | alignment

## Constructor & Destructor Documentation

QScrollArea | ( | QWidget * | parent = `0` | ) | `[explicit]`

~QScrollArea | ( |  | ) |

QScrollArea | ( | QScrollAreaPrivate & | dd,
|  | QWidget * | parent = `0`
| ) |  | `[protected]`

## Member Function Documentation

QWidget* widget | ( |  | ) | const

Search for all occurrences

void setWidget | ( | QWidget * | widget | ) |

Search for all occurrences

QWidget* takeWidget | ( |  | ) |

Search for all occurrences

bool widgetResizable | ( |  | ) | const

Search for all occurrences

void setWidgetResizable | ( | bool | resizable | ) |

Search for all occurrences

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

bool focusNextPrevChild | ( | bool | next | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

Qt::Alignment alignment | ( |  | ) | const

Search for all occurrences

void setAlignment | ( | Qt::Alignment |  | ) |

Search for all occurrences

void ensureVisible | ( | int | x,
|  | int | y,
|  | int | xmargin = `50`,
|  | int | ymargin = `50`
| ) |  |

Search for all occurrences

void ensureWidgetVisible | ( | QWidget * | childWidget,
|  | int | xmargin = `50`,
|  | int | ymargin = `50`
| ) |  |

Search for all occurrences

bool event | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

bool eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

void resizeEvent | ( | QResizeEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

void scrollContentsBy | ( | int | dx,
|  | int | dy
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

## Property Documentation

bool widgetResizable `[read, write]`

Search for all occurrences

Definition at line 60 of file qscrollarea.h.

Qt::Alignment alignment `[read, write]`

Search for all occurrences

Definition at line 61 of file qscrollarea.h.

The documentation for this class was generated from the following file:

- QtGui/qscrollarea.h

QScrollArea QScrollArea QScrollArea QScrollArea QScrollArea QScrollArea QScrollArea QScrollArea QScrollArea QScrollArea
QScrollArea QScrollArea QScrollArea QScrollArea QScrollArea QScrollArea QScrollArea QScrollArea QScrollArea QScrollArea